Bug 51112 - `ethereal' not working without -gnome package
`ethereal' not working without -gnome package
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ethereal (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks: 46127
  Show dependency treegraph
 
Reported: 2001-08-07 09:52 EDT by Enrico Scholz
Modified: 2015-03-04 20:09 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-07 09:53:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Enrico Scholz 2001-08-07 09:52:35 EDT
Description of Problem:

ethereal-0.8.18-9 contains the file /usr/bin/ethereal which is a link to
`consolehelper'. This program will run /usr/sbin/ethereal as defined in
/etc/security/console.apps/ethereal:

| USER=root
| PROGRAM=/usr/sbin/ethereal
| SESSION=true
| FALLBACK=true

/usr/bin/ethereal and .../console.apps/ethereal are part of of the base
`ethereal' package but /usr/sbin/ethereal is in `ethereal-gnome'. 

Thus, calling `ethereal' without an installed ethereal-gnome will fail
mysteriously (see #46127).

I suggest to move named files into the -gnome package.


How Reproducible:

everytime


Steps to Reproduce:
1. rpm -e ethereal-gnome; rpm -U ethereal
2. ethereal


Actual Results:

nothing; no error-msg, no window


Expected Results:

an error-msg or a window
Comment 1 Phil Knirsch 2001-08-16 12:44:43 EDT
OK, i see the problem now.

Fixed by moving the /usr/bin/ethereal application (resp. symlink) to the correct
package, namely ethereal-gnome.

That way things should work as expected.

The fixed version (0.8.18-10) should appear in rawhide over the next few weeks.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.